<!DOCTYPE html>
<html lang="en">
<head>
    <script src=".././angular.min.js"></script>
    <script src="date.js"></script>
</head>
<body ng-app="dateModule">
<div ng-controller="dateController">
Current time : - {{date}}

<button ng-click = "updateTime()">Update time</button>
</div>
</body>
</html>